## org.eclipse.emf.ecore
Interface EStructuralFeature.Internal

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EStructuralFeature, ETypedElement, InternalEObject, Notifier

All Known Implementing Classes:
  EAttributeImpl, EReferenceImpl, EStructuralFeatureImpl

Enclosing interface:
  EStructuralFeature

    public static interface EStructuralFeature.Internal

extends EStructuralFeature, InternalEObject

Internal API implemented by all features.

Nested Class Summary
`static interface` `EStructuralFeature.Internal.DynamicValueHolder` An API for the backing store that holds dynamic values.
`static interface` `EStructuralFeature.Internal.SettingDelegate` An API for delegating reflective access to settings.

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`EStructuralFeature.Internal, EStructuralFeature.Setting`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`EReference` `getEOpposite()` Returns the `opposite` if this is `reference` that has one.
`FeatureMap.Entry.Internal` `getFeatureMapEntryPrototype()` Returns the appropriately behaving feature map entry for this feature.
`EStructuralFeature.Internal.SettingDelegate` `getSettingDelegate()` Returns the delegate for this feature.
`boolean` `isContainer()` Returns whether this is a `reference` that is a `container`.
`boolean` `isContainment()` Returns whether this is a `reference` that is a `containment`.
`boolean` `isFeatureMap()` Returns whether the type is a feature map.
`boolean` `isID()` Returns whether this is an `attribute` that is an `ID`.
`boolean` `isResolveProxies()` Returns whether this is a `reference` that `resolves proxies`.
`void` `setFeatureMapEntryPrototype(FeatureMap.Entry.Internal prototype)` Sets the appropriately behaving feature map entry for this feature.
`void` `setSettingDelegate(EStructuralFeature.Internal.SettingDelegate settingDelegate)` Sets the specialized delegate for this feature.

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getFeatureID, isChangeable, isDerived, isTransient, isUnsettable, isVolatile, setChangeable, setDefaultValue, setDefaultValueLiteral, setDerived, setTransient, setUnsettable, setVolatile`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

Method Detail

### getSettingDelegate

    EStructuralFeature.Internal.SettingDelegate getSettingDelegate()

  Returns the delegate for this feature. A default delegate implementation should always be available, so this should never return `null`.

  Returns:
    the delegate for this feature.

### setSettingDelegate

    void setSettingDelegate(EStructuralFeature.Internal.SettingDelegate settingDelegate)

  Sets the specialized delegate for this feature.

  Parameters:
    `settingDelegate` - the specialized delegate.

### isFeatureMap

    boolean isFeatureMap()

  Returns whether the type is a feature map.

  Returns:
    whether the type is a feature map.

### getFeatureMapEntryPrototype

    FeatureMap.Entry.Internal getFeatureMapEntryPrototype()

  Returns the appropriately behaving feature map entry for this feature.

  Returns:
    the feature map entry prototype.

### setFeatureMapEntryPrototype

    void setFeatureMapEntryPrototype(FeatureMap.Entry.Internal prototype)

  Sets the appropriately behaving feature map entry for this feature.

  Parameters:
    `prototype` - the feature map entry prototype.

### isID

    boolean isID()

  Returns whether this is an `attribute` that is an `ID`.

  Returns:
    whether this is an attribute that is an ID.

### isResolveProxies

    boolean isResolveProxies()

  Returns whether this is a `reference` that `resolves proxies`.

  Returns:
    whether this is a reference that resolves proxies.

### isContainer

    boolean isContainer()

  Returns whether this is a `reference` that is a `container`.

  Returns:
    whether this is a reference that is a container.

### isContainment

    boolean isContainment()

  Returns whether this is a `reference` that is a `containment`.

  Returns:
    whether this is a reference that is a containment.

### getEOpposite

    EReference getEOpposite()

  Returns the `opposite` if this is `reference` that has one.

  Returns:
    the opposite if this is reference that has one.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.